# OSError class

An OSError object holds information about an error from the operating system.

## Constructors

OSError([String message = "", int errorCode = noErrorCode ])
  Creates an OSError object from a message and an errorCode.
  const

## Properties

errorCode → int
  Error code supplied by the operating system. [...]
  final
message → String
  Error message supplied by the operating system. This may be `null` or empty if no message is associated with the error.
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Converts an OSError object to a string representation.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Constants

noErrorCode → const int
  Constant used to indicate that no OS error code is available.
  `-1`